@import '~@angular/material/theming';

@mixin mat-custom-tabs-theme($theme) {
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary );
  $background: map-get($theme, background);
  $foreground: map-get($theme, foreground);

  .mat-tab-label, .mat-tab-link {
    opacity: 0.89;
    color: mat-color($accent, 700) !important;
    text-decoration: none !important;
    font-weight: 500;
    font-size: 0.875rem;
    transition: .3s cubic-bezier(.8,0,.27,.99);
    margin: 0 1rem !important;
    padding: 0 !important;
    min-width: auto !important;
    height: 52px !important;

    &:after {
      $w: 1rem;
      content: "";
      display: block;
      width: calc(100% - $w);
      margin: 0 auto;
      position: absolute;
      left: 0;
      right: 0;
      bottom: -1px;
      height: 3px;
      transform: scale(0, 1);
      background-color: mat-color($accent, 500);
      transition: transform .3s cubic-bezier(0.8, 0, 0.27, 0.99);
    }

    &:first-child {
      margin-left: 0 !important;
    }

    &:hover {
      color: mat-color($accent, 900) !important;
      opacity: 1;

      &:after {
        transform: scale(1, 1);
      }
    }

    &.mat-tab-label-active {
      color: mat-color($accent, 900) !important;
    }
  }



  mat-ink-bar {
    background-color: mat-color($primary, 700);
  }
}
